"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const winston = require("winston");
let logger;
exports.logger = logger;
winston.level = process.env.NVIM_NODE_LOG_LEVEL || 'debug';
if (process.env.NVIM_NODE_LOG_FILE) {
    exports.logger = logger = new winston.Logger({
        transports: [
            new winston.transports.File({
                filename: process.env.NVIM_NODE_LOG_FILE,
                level: winston.level,
                json: false,
            }),
        ],
    });
}
else {
    if (!process.env.ALLOW_CONSOLE) {
        // Remove Console transport
        winston.remove(winston.transports.Console);
    }
    exports.logger = logger = winston;
}
